Subject: [Gen-art] Gen-art review of draft-ietf-radext-ipv6-access-13

From: "Moriarty, Kathleen" <[email-masked]>
Date: Fri, 9 Nov 2012 19:20:31 -0500

I am the assigned Gen-ART reviewer for this draft. For background on
Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-radext-ipv6-access-13
Reviewer: Kathleen Moriarty
Review Date: November 9, 2012
IETF LC End Date: Tuesday
IESG Telechat date: (if known)

Summary:  The document is ready with nits.

Major issues:

Minor issues:

Nits/editorial comments:
Section 2, first sentence of second paragraph:
"a" should be "an" and protocols should be singular with either a or an.
In the depicted scenario the NAS may embed an IP addressing protocol (...

Section 3.1, first sentence:
Address does not need to have a capital "a".

Section 3.2, Third paragraph, first sentence,
Attribute does not need to have a capital "a"
Change from: A summary of the DNS-Server-IPv6-Address Attribute format is given
To:  A summary of the DNS-Server-IPv6-Address attribute format is given
 
Section 3.3, First sentence:
Attribute does not need to be capitalized

Section 3.5, Attribute is capitalized here too and does not need to be, recommend searching through the document to replace them all with "attribute".

Section 3.6: Section Header, change lower case "attribute" to "Attribute" as all the other section titles are capitalized.  The use of "attribute" in the body text of this section is already lower case.

Section 4: Change "Attribute" to "attribute"

Security Section:
The first sentence mischaracterizes the draft.  I think it should be something more along the lines of the abstract:
>From the security section:
"This document describes the use of RADIUS for the purposes of
   authentication, authorization and accounting in IPv6-enabled
   networks. "
Abstract: "This document specifies additional IPv6 RADIUS attributes useful in
   residential broadband network deployments. "

The following from the idnits report should be resolved: 
Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  ** There are 2 instances of too long lines in the document, the longest one
     being 3 characters in excess of 72.

  == There are 1 instance of lines with non-RFC2606-compliant FQDNs in the
     document.